/*

InvaderCraft von J.Hertel
(C) CW-Publikationen

  "con.c"

Kompilieren mit Aztec C Version 3.20a.

Im Include-Directory muss sich das Header-File "invadercraft1.h" befinden!

Aufruf:  cc con -a
         as con

Linken:  siehe invadercraft.c

*/

#include <exec/types.h>

/* Vor Compiler-Aufruf unbedingt "invadercraft1.h" in include/ -
Directory kopieren! */

#include <invadercraft1.h>


/* Festlegen der Parameter fuer jede Version */

/* Variablen, die die Silbe 'ZAE' enthalten, enthalten Startwerte fuer
Zaehler und bestimmen die Geschwindigkeiten der Objekte. Wird die Variable
vergroessert, so erfolgt der Aufruf des Unterprogramms, welches fuer die
Bewegung des entsprechenden Objekts verantwortlich ist, weniger oft und die
Geschwindigkeit sinkt.
Variablen, die auf 'D' enden bedeuten Schrittweiten der Objekte, und
sind proportional zur Geschwindigkeit. Beim Vergroessern ist darauf zu
achten, dass um das gezeichnete Objekt ein ausreichend grosser Rand zur
Verfuegung steht. (Rand ist entgegengesetzt zur Bewegungsrichtung,
Dicke in Pixels = Schrittweite) */


/* Verzoegerung des letzten Invaders */
int  INBEWVERZ   [MAXVERSIONS]={ 1, 1, 1 ,0, 1,1};
/* eigener Panzer */
long EIXD        [MAXVERSIONS]={ 1, 1, 1 ,1, 1,2};
int  EIZAEMAXNORM[MAXVERSIONS]={ 5, 3, 3 ,2, 3,3};
/* Mutterschiff */
long MUTD        [MAXVERSIONS]={ 1, 2, 2 ,2, 1,2};
int  MUTZAEMAX   [MAXVERSIONS]={16, 16,12,8, 9,16};
/* Schuss */
int  SCHZAEMAX   [MAXVERSIONS]={ 4, 2, 3 ,2, 2,1};
long SCHD        [MAXVERSIONS]={ 3, 3, 3 ,3, 3,3};
/* Missile */
long MISD        [MAXVERSIONS]={ 3, 3, 3 ,3, 3,3};
int  MISZAEMAX   [MAXVERSIONS]={18, 13,8 ,5,20,8};

/* Anzahl an Missiles, die gleichzeitig bewegt werden,
maximal MISANZMAX = 10 (siehe action.c) */

int  MISANZ      [MAXVERSIONS]={ 8, 5, 5 ,7,10,6};  /* MISANZMAX=10 !! */

/* Wahrscheinlichkeit fuer feuernden Invader 0...32000 */
int  MISWK       [MAXVERSIONS]={12000,12000,12000,12000,17000,12000};

/* Wahrscheinlichkeit fuer gezieltes Abfeuern eines Missiles auf Panzer */
int  GEZIELTEWK  [MAXVERSIONS]={20000,15000,20000,20000,10000,32000};

/* Anzahl an Panzern zu Beginn des Spiels */
int  ANZPANZER   [MAXVERSIONS]={3, 3, 3, 3, 3, 3};

/* Namen der Versionen */
char *versstr[MAXVERSIONS]={
"Normal",
"Easy",
"Medium",
"Missile",
"Block",
"Fire"
};
